import request from "@/utils/request.js";

export default {
	// 根据店铺ID获取商品数据
	getStoreGoodsByStoreId(storeId) {
		return request({
			url: `/api/StoreHelper/StoreGoodsMenuByStoreId?storeId=${storeId}`,
			method: 'GET',
			interfaceType: 0
		});
	},
	//根据店铺ID获取预定菜品列表
	GetReservationGoodsList(storeId) {
		return request({
			url: `/api/StoreHelper/GetReservationGoodsList?storeId=${storeId}`,
			method: 'GET',
			interfaceType: 0
		});
	},
	//添加预定商品
	AddReservationGoods(reservaList, memberInfoId) {
		return request({
			url: `/api/StoreHelper/AddReservationGoods`,
			method: 'POST',
			data: reservaList,
			header: {
				memberInfoId
			},
			interfaceType: 0
		});
	},
	//获取店铺列表
	getStoreList() {
		return request({
			url: '/api/StoreHelper/GetAllStore',
			method: 'GET',
			interfaceType: 0
		});
	},
	//根据门店ID查询详细信息
	queryStoreInfoById(id) {
		return request({
			url: `/api/StoreHelper/GetStoreInfoById?storeId=${id}`,
			method: 'GET',
			interfaceType: 0
		});
	},
	//根据门店ID查询 门店素材
	queryStoreMaterialById(id) {
		return request({
			url: '/api/minimaterial/store',
			method: 'POST',
			data: {
				storeId: id,
				current: 1,
				pageSize: 999
			},
			interfaceType: 0
		});
	},
	
	/**获取OOS服务器地址
	 * @param {Object} data
	 */
	GetCosRequestURL(data) {
		return request({
			url: '/api/systemconfig/GetCosRequestSignURL',
			method: 'POST',
			data: data,
			interfaceType: 0
		});
	},
}