import request from "@/utils/request.js";

export default {
	//订单分页查询
	orderPageQuery(data) {
		return request({
			url: '/order/fullorderbyuserid',
			method: 'POST',
			data: data,
			interfaceType: 1
		});
	},
	//用户主动下单：新增订单
	newOrder(data) {
		return request({
			url: '/order/v2/neworder',
			method: 'POST',
			data: data,
			interfaceType: 1
		});
	},
	//代客下单：新增订单
	adminNewOrder(data) {
		return request({
			url: '/order/admin/neworder',
			method: 'POST',
			data: data,
			interfaceType: 1
		});
	},
	//订单付款
	orderPay(orderNumber, reason = '用户主动点击付款') {
		return request({
			url: '/order/v2/orderpay',
			data: {
				orderNumber,
				reason
			},
			interfaceType: 1,
			method: 'POST'
		});
	},
	//根据订单编号获取完整订单
	fullorderByNumber(orderNumber) {
		return request({
			url: `/order/fullorderbynumber/${orderNumber}`,
			interfaceType: 1,
			method: 'GET'
		});
	},
	//申请售后
	applySaleAfter(data) {
		return request({
			url: '/order/applysaleafter',
			method: 'POST',
			data: data,
			interfaceType: 1
		});
	},
	//取消售后
	cancelSaleAfter(data) {
		return request({
			url: '/order/cancelsaleafter',
			method: 'POST',
			data: data,
			interfaceType: 1
		});
	},
	//查询退款订单
	queryRefundOrderByuserId(data) {
		return request({
			url: '/order/refundorderbyuserid',
			method: 'POST',
			data: data,
			interfaceType: 1
		});
	},
	//退单回调（在申请微信退款之后）
	refundrefuc(data) {
		return request({
			url: '/order/refundrefuc',
			method: 'POST',
			data: data,
			interfaceType: 1
		});
	}
}