
//防抖
export function debounce(fn, delay, immediate) {
    let timer = null;
    return function() {
        const context = this;
        const args = arguments;
        return new Promise((resolve, reject) => {
            timer && clearTimeout(timer);
            if (immediate) {
                const doNow = !timer;
                timer = setTimeout(() => {
                    timer = null;
                }, delay);
                doNow && resolve(fn.apply(context, args));
            }
            else {
                timer = setTimeout(() => {
                    resolve(fn.apply(context, args));
                }, delay);
            }
        });
    };
}

//节流
export function throttle(func, delay) {
	let last, deferTimer;
	return function() {
		let now = Date.now();
		if (last && now < last + delay) {
			clearTimeout(deferTimer);
			deferTimer = setTimeout(() => {
				last = now;
				func.apply(this, arguments);
			}, delay);
		} else {
			last = now;
			func.apply(this, arguments);
		}
	}
}