/**
 * 微信小程序环境下将文件上传到OSS。
 */
const UploadOSS = (params) => {
	const host = '<host>';
	const signature = '<signatureString>';
	const ossAccessKeyId = '<accessKey>';
	const policy = '<policyBase64Str>';
	const key = '<object name>';
	const securityToken = '<x-oss-security-token>'; 
	const filePath = '<filePath>'; // 待上传文件的文件路径。
	return new Promise((resolve, reject) => {
		uni.uploadFile({
			url: host, // 开发者服务器的URL。
			filePath: filePath,
			name: 'file', // 必须填file。
			formData: {
				key,
				policy,
				OSSAccessKeyId: ossAccessKeyId,
				signature,
				// 'x-oss-security-token': securityToken // 使用STS签名时必传。
			  },
			success: (res) => {
				if (res.statusCode === 204) {
					resolve({
						isSuccess: true,
						data: res.data,
						msg: '上传成功！'
					});
				}
			},
			fail: err => {
				reject({
					isSuccess: false,
					data: err,
					msg: '上传失败！'
				});
			}
		});
	});
}