import Encrypt from "./crypto.js";
let BASE_URL = '';
 BASE_URL = 'https://witt.black-pa.com';				//线上正式
 // BASE_URL = 'https://bpa.black-pa.com:21527';			//线上开发
 // BASE_URL = 'https://bpa.black-pa.com:21528';		//线上测试

const Franchisee = '/kitchen';							//加盟商：0
const Order = '/order';									//订单： 1
const Pay = '/wechat/';									//支付:	2

const accountInfo = uni.getAccountInfoSync();
if (accountInfo.miniProgram.envVersion === 'trial') {
	BASE_URL = 'https://bpa.black-pa.com:21528';	
} else if (accountInfo.miniProgram.envVersion === 'release') {
	BASE_URL = 'https://witt.black-pa.com';
}

const request = (options) => {
	let BlackApp = Encrypt(`[${options.url}]_[${new Date().getTime()}]`);
	let interfaceType = '';
	switch(options.interfaceType) {
		case 0:
			interfaceType = Franchisee;
		break;
		case 1:
			interfaceType = Order;
		break;
		case 2:
			interfaceType = Pay;
		break;
	}
	if (interfaceType === '') {
		console.error('接口访问类型不能为空');
		return;
	}
	return new Promise((resolve, reject) => {
		uni.showLoading({
			title: '加载中',
			mask: true
		});
		let TenantId = "";
		if (options.url !== '/api/StoreHelper/GetAllStore') {
			TenantId = getApp().globalData.companyId;
		}
		uni.request({
			url: BASE_URL + interfaceType  + options.url,
			method: options.method || 'GET',
			data: options.data || {},
			header: Object.assign({}, options.header, {
				'BlackApp': BlackApp,
				'AppId': getApp().globalData.appId,
				'TenantId': '01911b43-8844-4d93-b916-34208e31ba66' || TenantId //
			}),
			timeout: 20000,
			success: response => {
				let jsonData = {
					data: null,
					isSuccess: false,
					msg: '服务端出现了问题！'
				}
				if (response.statusCode === 404) {
					jsonData.msg = '请求资源不存在';
					resolve(jsonData);
				} else if (response.statusCode === 502) {
					jsonData.msg = '服务端出现了问题';
					resolve(jsonData);
				} else if (response.statusCode === 403) {
					jsonData.msg = '没有权限访问';
					resolve(jsonData);
				} else if (response.statusCode === 200) {
					resolve(response.data);
				} else {
					resolve(jsonData);
				}
			},
			fail: error => {
				let response = {
					data: null,
					isSuccess: false,
					msg: '服务端问题' + JSON.stringify(error.errMsg)
				}
				resolve(response);
			},
			complete: () => {
				uni.hideLoading();
			}
		});
	});
}

export default request;